Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706894 - net-analyzer/netdiscover-0.3_beta6-r3 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/netdiscover-0.3_beta6-r3 : fails to build with -fno-common or gc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:33 UTC by Toralf Förster
Modified: 2020-01-31 14:33 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.90 KB, text/plain)
2020-01-28 18:33 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,120.34 KB, text/plain)
2020-01-28 18:33 UTC, Toralf Förster
Details
environment (environment,85.62 KB, text/plain)
2020-01-28 18:33 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.79 KB, application/x-bzip)
2020-01-28 18:33 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.39 KB, application/x-bzip)
2020-01-28 18:33 UTC, Toralf Förster
Details
net-analyzer:netdiscover-0.3_beta6-r3:20200128-074210.log (net-analyzer:netdiscover-0.3_beta6-r3:20200128-074210.log,13.65 KB, text/plain)
2020-01-28 18:33 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,25.56 KB, application/x-bzip)
2020-01-28 18:33 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:33:20 UTC
   45 |  for (i=0; i<NUM_OUI_RECORDS; i++)
      |  ^~~
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -DDEBUG_LEVEL_2 -Wall -g -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o netdiscover main.o ifaces.o screen.o misc.o -lpthread -lpcap -lnet 
libtool: link: x86_64-pc-linux-gnu-gcc -DDEBUG_LEVEL_2 -Wall -g -O2 -pipe -march=native -fno-common -Wl,-O1 -o netdiscover main.o ifaces.o screen.o misc.o  -Wl,--as-needed -lpthread -lpcap -lnet
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ifaces.o:/var/tmp/portage/net-analyzer/netdiscover-0.3_beta6-r3/work/netdiscover-0.3-beta6/src/ifaces.h:49: multiple definition of `errbuf'; main.o:/var/tmp/portage/net-analyzer/netdiscover-0.3_beta6-r3/work/netdiscover-0.3-beta6/src/ifaces.h:49: first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ifaces.o:/var/tmp/portage/net-analyzer/netdiscover-0.3_beta6-r3/work/netdiscover-0.3-beta6/src/ifaces.h:49: multiple definition of `ourmac'; main.o:/var/tmp/portage/net-analyzer/netdiscover-0.3_beta6-r3/work/netdiscover-0.3-beta6/src/ifaces.h:49: first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 06:46:17 +0000

emerge -qpvO net-analyzer/netdiscover
[ebuild  N    ] net-analyzer/netdiscover-0.3_beta6-r3
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:33:23 UTC
Created attachment 606400 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:33:26 UTC
Created attachment 606402 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:33:29 UTC
Created attachment 606404 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:33:31 UTC
Created attachment 606406 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:33:34 UTC
Created attachment 606408 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:33:37 UTC
Created attachment 606410 [details]
net-analyzer:netdiscover-0.3_beta6-r3:20200128-074210.log
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:33:39 UTC
Created attachment 606412 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-31 14:33:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=74f43f229df6c3a1004c83fda098007506a4a4f3

commit 74f43f229df6c3a1004c83fda098007506a4a4f3
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-31 14:32:55 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-31 14:33:32 +0000

    net-analyzer/netdiscover: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=706894
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../files/netdiscover-0.3_beta6-fno-common.patch   | 42 ++++++++++++++++++++++
 .../netdiscover/netdiscover-0.3_beta6-r4.ebuild    | 36 +++++++++++++++++++
 2 files changed, 78 insertions(+)